Bug 13219 - [PATCH] Odd formatting when using user data formats
Summary: [PATCH] Odd formatting when using user data formats
Status: CLOSED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: 1.0.2
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-02 20:46 UTC by Shawn Laubach
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Patch to Workbook to get user defined formats to not interfere with cell formats (843 bytes, patch)
2002-10-02 20:47 UTC, Shawn Laubach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Laubach 2002-10-02 20:46:21 UTC
Whenever a user defined data format is created before the last cell style 
format, cells don't always use the correct cell format.  This is caused because 
the insert for format record does not increment the xfformat pos.  Copied the 
code to do this.  The patch is coming.  Someone can apply it or someone can get 
me my username/password and I'll apply it.
Comment 1 Shawn Laubach 2002-10-02 20:47:42 UTC
Created attachment 3317 [details]
Patch to Workbook to get user defined formats to not interfere with cell formats
Comment 2 Shawn Laubach 2002-10-03 15:47:24 UTC
This bug was caused because some record types need to remain contiguous and the 
common way to ensure this is by keeping the index into the overall record list 
to the last record (or one past) of the particular type.  This is extremely 
fast but if something inserts a record in front of that and does not increment 
all the indexes for each block the occurs afterwards (which is what I did here) 
things do not come out properly.  Has anyone put any thought on a way around 
this (or at least keep track of the different blocks and their location)?
Comment 3 Shawn Laubach 2002-10-04 21:57:12 UTC
Committed updates
Comment 4 Shawn Laubach 2002-10-07 16:40:57 UTC
Works now.  Some time soon, I'm going to look into have format records in an 
aggregate (and possibly some other sections) to eliminate these types of 
problems.